Package com.emc.d2fs.models.attribute

# Class Attribute

java.lang.Object
com.emc.d2fs.models.attribute.Attribute

All Implemented Interfaces:
  `Serializable`

public class Attribute extends Object implements Serializable

Java class for attribute complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="attribute">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="format" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="time" type="{http://www.w3.org/2001/XMLSchema}long" />
           <attribute name="isSearchable" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="isRepeating" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFormat()`
  Gets the value of the format property.
  `String`
  `getName()`
  Gets the value of the name property.
  `Long`
  `getTime()`
  Gets the value of the time property.
  `int`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `Boolean`
  `isIsRepeating()`
  Gets the value of the isRepeating property.
  `Boolean`
  `isIsSearchable()`
  Gets the value of the isSearchable property.
  `void`
  `setFormat(String value)`
  Sets the value of the format property.
  `void`
  `setIsRepeating(Boolean value)`
  Sets the value of the isRepeating property.
  `void`
  `setIsSearchable(Boolean value)`
  Sets the value of the isSearchable property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setTime(Long value)`
  Sets the value of the time property.
  `void`
  `setType(int value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public int getType()
    Gets the value of the type property.

  - ### setType

    public void setType(int value)
    Sets the value of the type property.

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFormat

    public String getFormat()
    Gets the value of the format property.
    Returns:
      possible object is `String`

  - ### setFormat

    public void setFormat(String value)
    Sets the value of the format property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTime

    public Long getTime()
    Gets the value of the time property.
    Returns:
      possible object is `Long`

  - ### setTime

    public void setTime(Long value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `Long`

  - ### isIsSearchable

    public Boolean isIsSearchable()
    Gets the value of the isSearchable property.
    Returns:
      possible object is `Boolean`

  - ### setIsSearchable

    public void setIsSearchable(Boolean value)
    Sets the value of the isSearchable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIsRepeating

    public Boolean isIsRepeating()
    Gets the value of the isRepeating property.
    Returns:
      possible object is `Boolean`

  - ### setIsRepeating

    public void setIsRepeating(Boolean value)
    Sets the value of the isRepeating property.
    Parameters:
      `value` - allowed object is `Boolean`